Bug 59283

Summary: wrong exception raised in Lighttpd start method
Product: WebKit Reporter: arno. <a.renevier>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, eric
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Attachments:
Description Flags
patch v1
none
patch v1
ojan: review+
patch v1.1 none

Description arno. 2011-04-23 14:04:52 PDT
Hi,
when try to run the tests with lighttd server, for some reason server could not start.
Then I get following exception:

NameError: global name 'google' is not defined

Actually, in start method of Lighttpd class, 

> raise google.httpd_utils.HttpdNotStarted('Failed to start httpd.') 

raises a name error because google is not defined. This does not change much, as an exception is raised anyway. But may be it's better to raise a relevant exception.
Comment 1 arno. 2011-04-23 14:11:23 PDT
Created attachment 90857 [details]
patch v1
Comment 2 arno. 2011-04-23 14:16:04 PDT
Created attachment 90858 [details]
patch v1

As HttpdNotStarted is not used anywhere else, it's also possible to remove it totally, and raise a simple Exception as in pache_http_server.py
Comment 3 Ojan Vafai 2011-04-26 16:23:32 PDT
Comment on attachment 90858 [details]
patch v1

View in context: https://bugs.webkit.org/attachment.cgi?id=90858&action=review

> Tools/ChangeLog:7
> +

Would be nice to put a bit more detail here that google.httpd_utils.HttpdNotStarted does not exist.
Comment 4 arno. 2011-04-27 00:41:55 PDT
Created attachment 91247 [details]
patch v1.1
Comment 5 WebKit Commit Bot 2011-05-01 18:03:25 PDT
Comment on attachment 91247 [details]
patch v1.1

Clearing flags on attachment: 91247

Committed r85447: <http://trac.webkit.org/changeset/85447>
Comment 6 WebKit Commit Bot 2011-05-01 18:03:30 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Eric Seidel (no email) 2011-05-01 18:27:26 PDT
Committed r85449: <http://trac.webkit.org/changeset/85449>